local t = Def.ActorFrame{
	InitCommand=cmd(diffusealpha,1;);

	Def.Quad{
		OnCommand=cmd(diffuse,color("0,0,0,1");x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;stretchto,SCREEN_LEFT,SCREEN_TOP,SCREEN_RIGHT,SCREEN_BOTTOM;diffusealpha,1;linear,0.5;diffusealpha,0;sleep,2.5;linear,0.5;diffusealpha,1;);
	};

	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-24;diffusealpha,0;zoomtowidth,SCREEN_WIDTH;zoomtoheight,32;sleep,1.85;diffuse,color("1,0,0.2,1");addy,-100;linear,1.6;zoomtoheight,6;diffusealpha,0;addy,100;);
	};


	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-40;diffusealpha,0;zoomtowidth,SCREEN_WIDTH;zoomtoheight,36;sleep,1.85;diffuse,color("0.6,0.2,0.7,1");addy,-60;linear,1.2;zoomtoheight,2;diffusealpha,0;addy,120;);
	};


	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+80;diffusealpha,0;zoomtowidth,SCREEN_WIDTH;zoomtoheight,4;sleep,1.85;diffuse,color("1,0,0.3,1");addy,20;linear,2.4;zoomtoheight,20;diffusealpha,0;addy,-40;);
	};

	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+52;diffusealpha,0;zoomtowidth,SCREEN_WIDTH;zoomtoheight,32;sleep,1.85;diffuse,color("0.8,0.4,1,1");addy,100;linear,2;zoomtoheight,3;diffusealpha,0;addy,-50;);
	};


	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+160;diffusealpha,0;zoomtowidth,SCREEN_WIDTH;zoomtoheight,24;sleep,1.85;diffuse,color("1,0.2,0.3,1");diffusealpha,0;addy,-80;);
	};


	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+24;diffuse,color("0,0,0,0");zoomtowidth,SCREEN_WIDTH;zoomtoheight,15;sleep,1.85;diffuse,color("0.7,0.2,1,1");addy,60;linear,1.6;zoomtoheight,2;diffusealpha,0;addy,-120;);
	};

	Def.Quad{
		InitCommand=cmd(diffuse,color("0,0,0,1");x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;);
		OnCommand=function(self)
			if not GAMESTATE:IsCourseMode() then
				local song = GAMESTATE:GetCurrentSong();
				local path;
				local BannerPath = song:GetBannerPath();
				local JacketPath = song:GetJacketPath();
				if JacketPath then
					self:diffusealpha(0);
					self:linear(0.25);
					self:diffusealpha(0.3);
					self:sleep(1.6);
					self:linear(0.1);
					self:diffusealpha(0.7);
					self:y(SCREEN_BOTTOM-130);
					self:zoomtoheight(180);
					self:linear(1);
					self:zoomtoheight(250);
					self:diffusealpha(0.8);
					self:linear(0.1);
					self:zoomtoheight(SCREEN_HEIGHT);
					self:diffusealpha(0);
				else
					self:diffusealpha(0);
					self:linear(0.25);
					self:diffusealpha(0.3);
					self:sleep(1.6);
					self:linear(0.1);
					self:diffusealpha(0.7);
					self:addy(15);
					self:zoomtoheight(260);
					self:linear(1);
					self:zoomtoheight(330);
					self:diffusealpha(0.8);
					self:linear(0.1);
					self:zoomtoheight(SCREEN_HEIGHT);
					self:diffusealpha(0);
				end;
			else
				self:diffusealpha(0);
				self:linear(0.25);
				self:diffusealpha(0.3);
				self:sleep(1.6);
				self:linear(0.1);
				self:diffusealpha(0.7);
				self:addy(15);
				self:zoomtoheight(260);
				self:linear(1);
				self:zoomtoheight(330);
				self:diffusealpha(0.8);
				self:linear(0.1);
				self:zoomtoheight(SCREEN_HEIGHT);
				self:diffusealpha(0);
			end;
		end;
	};


	LoadActor( THEME:GetPathB("","back_over"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,0.5;zoomy,8;linear,0.4;diffusealpha,1;zoomy,1;glow,color("1,0,0,1");linear,0.15;glow,color("0,0,0,0");sleep,0.8;linear,0.4;diffusealpha,0;zoomy,8;);
	};


	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP+60;diffuse,color("1,0.2,0.3,0.7");zoomtowidth,SCREEN_WIDTH;zoomtoheight,100;addx,SCREEN_WIDTH;sleep,1.8;decelerate,0.4;zoomtowidth,SCREEN_WIDTH;zoomtoheight,18;addx,-SCREEN_WIDTH;linear,0.4;diffusealpha,0.6;zoomtoheight,9;sleep,0.2;linear,0.25;addx,-SCREEN_WIDTH;diffusealpha,0;);
	};

	LoadActor( THEME:GetPathB("","_white"))..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-60;diffuse,color("1,0.2,0.3,0.7");zoomtowidth,SCREEN_WIDTH;zoomtoheight,100;addx,-SCREEN_WIDTH;sleep,1.8;decelerate,0.4;zoomtowidth,SCREEN_WIDTH;zoomtoheight,18;addx,SCREEN_WIDTH;linear,0.4;diffusealpha,0.6;zoomtoheight,9;sleep,0.2;linear,0.25;addx,SCREEN_WIDTH;diffusealpha,0;);
	};

};

return t;
